Skip to content
FLORA DocsGo to app

Get a project

GET/projects/{projectId}

Returns metadata for a single project when it is accessible to the authenticated public API key. Missing and inaccessible projects both return 404.

Path ParametersExpand Collapse
projectId: string

Project identifier

ReturnsExpand Collapse
created_at: number
last_modified: number
name: string

Project name

origin: string

Project origin

project_id: string

Project identifier

workspace_id: string

Workspace identifier

Get a project

curl https://app.flora.ai/api/v1/projects/$PROJECT_ID \
    -H "Authorization: Bearer $FLORA_API_KEY"
{
  "created_at": 0,
  "last_modified": 0,
  "name": "Spring Campaign",
  "origin": "api",
  "project_id": "prj_abc123",
  "workspace_id": "ws_abc123"
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}
Returns Examples
{
  "created_at": 0,
  "last_modified": 0,
  "name": "Spring Campaign",
  "origin": "api",
  "project_id": "prj_abc123",
  "workspace_id": "ws_abc123"
}
{
  "error": {
    "code": "input_validation_error",
    "message": "prompt: Required",
    "fields": [
      {
        "field": "prompt",
        "message": "Required"
      }
    ]
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid API key."
  }
}
{
  "error": {
    "code": "insufficient_credits",
    "message": "Insufficient credits."
  }
}
{
  "error": {
    "code": "forbidden",
    "message": "Forbidden."
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not found."
  }
}
{
  "error": {
    "code": "idempotency_duplicate",
    "message": "Duplicate idempotency key."
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded."
  }
}
{
  "error": {
    "code": "unknown_error",
    "message": "An unknown error occurred."
  }
}